#!/bin/bash
# Restart script for ISC DHCP running on BDDS.

if [ -z $1 ]
then
	# if no argument provided we need to reload the configuration
	# Note: if dhcp is running ok we will simply call reconfig
	# else we need to stop and start the service
	/bin/systemctl status dhcpd >> /dev/null
	retVal=$?
	if [ $retVal -eq 0 ]
	then
		/usr/local/bluecat/PsmClient dhcpd reconfig
	else
		/usr/local/bluecat/PsmClient node set dhcp-enable=0
		/usr/local/bluecat/PsmClient node set dhcp-enable=1
	fi
	exit $?
fi

case "$1" in
	"-config")
		/usr/local/sbin/dhcpd -cf /replicated/etc/dhcpd.conf -lf /replicated/var/state/dhcp/dhcpd.leases -t
		exit $?
	;;

	"start")
		/usr/local/bluecat/PsmClient node set dhcp-enable=1
		exit $?
	;;

	"stop")
		/usr/local/bluecat/PsmClient node set dhcp-enable=0
		exit $?
	;;

	*)	# assume this is status
		/bin/systemctl status dhcpd >> /dev/null
		exit $?
	;;
esac

